;!function(){try{var e="undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{},n=(new Error).stack;n&&(e._btDebugIds=e._btDebugIds||{},e._btDebugIds[n]="52af6c83-66f1-a878-cf40-05b59e8a574b")}catch(e){}}();
/**
 * Builds an error struct using the provided parameters
 * @param name - The error name
 * @param errorCodePrefix - The error code prefix
 * @param errorCode - The error code (will be combined with errorCodePrefix through '_')
 * @param message - A readable message
 * @returns The corresponding error construct
 */
export function buildErrorStruct(name, errorCodePrefix, errorCode, message) {
    return {
        name,
        code: `${errorCodePrefix}_${errorCode}`,
        message,
    };
}
import * as ARCHIVE_ERR from './codes/archive.js';
import * as MFA_ERR from './codes/mfa.js';
import * as AUTH_ERR from './codes/icloud-auth.js';
import * as ICLOUD_PHOTOS_ERR from './codes/icloud-photos.js';
import * as LIBRARY_ERR from './codes/library.js';
import * as APP_ERR from './codes/app.js';
import * as QUERY_PARSER_ERR from './codes/icloud-query-parser.js';
import * as SYNC_ERR from './codes/sync.js';
import * as RESOURCES_ERR from './codes/resources.js';
import * as VALIDATOR_ERR from './codes/validator.js';
export { MFA_ERR, ARCHIVE_ERR, AUTH_ERR, ICLOUD_PHOTOS_ERR, LIBRARY_ERR, APP_ERR, QUERY_PARSER_ERR, SYNC_ERR, RESOURCES_ERR, VALIDATOR_ERR };
export const ERR_UNKNOWN = {
    name: `iCPSError`,
    code: `UNKNOWN`,
    message: `Unknown error occurred`,
};
export const ERR_SIGINT = {
    name: `InterruptError`,
    code: `SIGINT`,
    message: `Received user interrupt: SIGINT`,
};
export const ERR_SIGTERM = {
    name: `InterruptError`,
    code: `SIGTERM`,
    message: `Received user interrupt: SIGTERM`,
};
export const FILETYPE_REPORT = {
    name: `FileTypeReport`,
    code: `FILETYPE_REPORT`,
    message: `Reporting unknown file type`,
};
//# sourceMappingURL=error-codes.js.map
//# debugId=52af6c83-66f1-a878-cf40-05b59e8a574b